3.5 compatibility Rated 5 out of 5 stars

the developer has updated this to version 0.64 compatible with Firefox 3.5, at present, only available at the add-on homepage: www.codeplex.com/UrduDictionary

This review is for a previous version of the add-on (0.64).